Public Get Employee
curl --request GET \
--url https://public-api.salu.com.vc/dev/routes/v0/employee/{employee_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.salu.com.vc/dev/routes/v0/employee/{employee_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.salu.com.vc/dev/routes/v0/employee/{employee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_disabled": true,
"status": "<string>",
"sex": "<string>",
"admission_date": "2023-12-25",
"is_active": true,
"organization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"branch": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"position": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sector": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"social_name": "<string>",
"preferred_name": "<string>",
"gov_id": "<string>",
"birth_date": "2023-12-25",
"gender": "<string>",
"mother_name": "<string>",
"marital_status": "<string>",
"place_of_birth": "<string>",
"educational_stage": "<string>",
"human_skin_tone": "<string>",
"phone": "<string>",
"cell_phone": "<string>",
"email": "<string>",
"personal_email": "<string>",
"dismissal_date": "2023-12-25",
"hr_code": "<string>",
"employee_registration_number": "<string>",
"work_shift": "<string>",
"client_integration_code": "<string>",
"address": {
"address": "<string>",
"address_number": "<string>",
"address_detail": "<string>",
"zip_code": "<string>",
"neighborhood": "<string>",
"state": "<string>",
"city": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Employees
Get Employee
GET
/
v0
/
employee
/
{employee_id}
Public Get Employee
This endpoint returns details for an employee.
The response uses the
PublicApiEmployeeBaseResponse schema.Overview
- Method:
GET - Path:
/v0/employee/{employee_id} - OperationId:
public_get_employee_v0_employee__employee_id__get - Authentication: header
x-api-key(APIKeyHeaderin the OpenAPI)
Usage notes
- Path param:
employee_idmust be a valid UUID. Invalid UUIDs may return400 Bad Request. - Not found: if the employee does not exist (or does not belong to your organization), the API may return
404 Not Found. - Schema: the response follows
PublicApiEmployeeBaseResponse(see the OpenAPI schema for full field list and types).
Example Request
curl -X GET "https://public-api.salu.com.vc/dev/routes/v0/employee/{employee_id}" \
-H "Accept: application/json" \
-H "x-api-key: $SALU_PUBLIC_API_KEY"
Authorizations
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes